PLplot: PLStream Struct Reference

PLplot 5.15.0

Public Attributes | List of all members
PLStream Struct Reference

`#include "plstrm.h"`

## Public Attributes
PLINT | ipls
PLINT | level
PLINT | verbose
PLINT | debug
PLINT | initialized
PLINT | dev_initialized
char * | program
PLTRANSFORM_callback | coordinate_transform
PLPointer | coordinate_transform_data
PLINT | icol0
PLINT | ncol0
PLINT | icol1
PLINT | ncol1
PLINT | ncp1
PLINT | curcmap
PLFLT | cmap1_min
PLFLT | cmap1_max
PLColor | curcolor
PLColor | tmpcolor
PLColor * | cmap0
PLColor * | cmap1
PLControlPt | cmap1cp [PL_MAX_CMAP1CP]
PLBOOL | cmap1cp_is_rgb
PLFLT | width
PLINT | widthset
PLINT | widthlock
PLFLT * | arrow_x
PLFLT * | arrow_y
PLINT | arrow_npts
PLINT | arrow_fill
PLDispatchTable * | dispatch_table
PLINT | plbuf_read
PLINT | plbuf_write
PLINT | device
PLINT | dev_minor
PLINT | termin
PLINT | graphx
PLINT | nopause
PLINT | color
PLINT | colorset
PLINT | family
PLINT | member
PLINT | finc
PLINT | fflen
PLINT | bytemax
PLINT | famadv
PLINT | dev_fill0
PLINT | dev_fill1
PLINT | dev_dash
PLINT | dev_di
PLINT | dev_flush
PLINT | dev_swin
PLINT | dev_text
PLINT | dev_xor
PLINT | dev_clear
PLINT | dev_fastimg
PLINT | dev_arc
char | DevName [80]
FILE * | OutFile
char * | BaseName
char * | FileName
int | output_type
PLINT | bytecnt
PLINT | page
PLINT | linepos
PDFstrm * | pdfs
PLINT | dev_npts
short * | dev_x
short * | dev_y
PLINT | dev_nptsX
PLINT | dev_nptsY
short * | dev_ix
short * | dev_iy
unsigned short * | dev_z
unsigned short | dev_zmin
unsigned short | dev_zmax
PLINT | imclxmin
PLINT | imclxmax
PLINT | imclymin
PLINT | imclymax
void * | dev
void * | dev_data
void(* | KeyEH )(PLGraphicsIn *gin, void *KeyEH_data, int *exit_eventloop)
void * | KeyEH_data
void(* | ButtonEH )(PLGraphicsIn *gin, void *ButtonEH_data, int *exit_eventloop)
void * | ButtonEH_data
void(* | LocateEH )(PLGraphicsIn *gin, void *LocateEH_data, int *locate_mode)
void * | LocateEH_data
void(* | bop_handler )(void *bop_data, int *skip_driver_bop)
void * | bop_data
void(* | eop_handler )(void *eop_data, int *skip_driver_eop)
void * | eop_data
PLFLT | xdpi
PLFLT | ydpi
PLINT | xlength
PLINT | ylength
PLINT | xoffset
PLINT | yoffset
PLINT | hack
void(* | tidy )(void *)
void * | tidy_data
PLINT * | errcode
char * | errmsg
char * | geometry
long | window_id
int | nopixmap
int | db
int | ext_resize_draw
char * | server_name
char * | server_host
char * | server_port
char * | user
char * | plserver
char * | plwindow
char * | auto_path
char * | tk_file
int | bufmax
int | dp
int | server_nokill
size_t | plbuf_buffer_grow
size_t | plbuf_buffer_size
void * | plbuf_buffer
size_t | plbuf_top
size_t | plbuf_readpos
int | plbufOwner
PLINT | difilt
PLINT | diclpxmi
PLINT | diclpxma
PLINT | diclpymi
PLINT | diclpyma
PLFLT | dipxmin
PLFLT | dipymin
PLFLT | dipxmax
PLFLT | dipymax
PLFLT | dipxax
PLFLT | dipxb
PLFLT | dipyay
PLFLT | dipyb
PLFLT | aspdev
PLFLT | aspect
PLFLT | aspori
PLFLT | caspfactor
PLFLT | mar
PLFLT | jx
PLFLT | jy
PLFLT | didxax
PLFLT | didxb
PLFLT | didyay
PLFLT | didyb
PLFLT | diorot
PLFLT | dioxax
PLFLT | dioxay
PLFLT | dioxb
PLFLT | dioyax
PLFLT | dioyay
PLFLT | dioyb
PLFLT | dimxax
PLFLT | dimxb
PLFLT | dimyay
PLFLT | dimyb
PLFLT | dimxmin
PLFLT | dimymin
PLFLT | dimxmax
PLFLT | dimymax
PLFLT | dimxpmm
PLFLT | dimypmm
PLINT | page_status
PLINT | freeaspect
PLINT | portrait
PLINT | patt
PLINT | inclin [2]
PLINT | delta [2]
PLINT | nps
PLINT | currx
PLINT | curry
PLINT | mark [10]
PLINT | space [10]
PLINT | nms
PLINT | timecnt
PLINT | alarm
PLINT | pendn
PLINT | curel
char | esc
PLFLT | scale
PLFLT | chrdef
PLFLT | chrht
PLFLT | symdef
PLFLT | symht
PLFLT | majdef
PLFLT | majht
PLFLT | mindef
PLFLT | minht
PLINT | setpre
PLINT | precis
PLINT | xdigmax
PLINT | ydigmax
PLINT | zdigmax
PLINT | xdigits
PLINT | ydigits
PLINT | zdigits
char * | timefmt
PLLABEL_FUNC_callback | label_func
PLPointer | label_data
PLINT | vppxmi
PLINT | vppxma
PLINT | vppymi
PLINT | vppyma
PLINT | sppxmi
PLINT | sppxma
PLINT | sppymi
PLINT | sppyma
PLINT | clpxmi
PLINT | clpxma
PLINT | clpymi
PLINT | clpyma
PLINT | phyxmi
PLINT | phyxma
PLINT | phyxlen
PLINT | phyymi
PLINT | phyyma
PLINT | phyylen
PLINT | umx
PLINT | umy
PLFLT | xpmm
PLFLT | ypmm
PLFLT | base3x
PLFLT | base3y
PLFLT | basecx
PLFLT | basecy
PLFLT | domxmi
PLFLT | domxma
PLFLT | domymi
PLFLT | domyma
PLFLT | zzscl
PLFLT | ranmi
PLFLT | ranma
PLFLT | cxx
PLFLT | cxy
PLFLT | cyx
PLFLT | cyy
PLFLT | cyz
PLFLT | czx
PLFLT | czy
PLFLT | czz
int | nplwin
PLWindow | plwin [PL_MAXWINDOWS]
PLINT | nsubx
PLINT | nsuby
PLINT | cursub
PLFLT | spdxmi
PLFLT | spdxma
PLFLT | spdymi
PLFLT | spdyma
PLFLT | vpdxmi
PLFLT | vpdxma
PLFLT | vpdymi
PLFLT | vpdyma
PLFLT | vpwxmi
PLFLT | vpwxma
PLFLT | vpwymi
PLFLT | vpwyma
PLFLT | wpxscl
PLFLT | wpxoff
PLFLT | wpyscl
PLFLT | wpyoff
PLFLT | wmxscl
PLFLT | wmxoff
PLFLT | wmyscl
PLFLT | wmyoff
PLFLT | wdxscl
PLFLT | wdxoff
PLFLT | wdyscl
PLFLT | wdyoff
PLINT | dev_compression
PLINT | cfont
void * | FT
struct PlPlotter * | plPlotterPtr
PLINT | dev_unicode
PLINT | alt_unicode
PLUNICODE | fci
PLINT | dev_hrshsym
PLFLT | original_chrdef
PLFLT | original_chrht
void * | psdoc
QSASConfig * | qsasconfig
PLINT | dev_gradient
PLINT | ngradient
PLINT * | xgradient
PLINT * | ygradient
PLINT | n_polygon
const PLFLT * | x_polygon
const PLFLT * | y_polygon
PLBOOL | stream_closed
PLINT | line_style
PLINT | dev_mem_alpha
PLINT | has_string_length
PLFLT | string_length
PLINT | get_string_length
PLINT | dev_eofill
PLINT | dev_modeset
PLBOOL | if_boxbb
PLFLT | boxbb_xmin
PLFLT | boxbb_xmax
PLFLT | boxbb_ymin
PLFLT | boxbb_ymax
char * | mf_infile
char * | mf_outfile

## Detailed Description

Definition at line 523 of file plstrm.h.

## Member Data Documentation

## ◆ alarm

PLINT PLStream::alarm

Definition at line 677 of file plstrm.h.

## ◆ alt_unicode

PLINT PLStream::alt_unicode

Definition at line 749 of file plstrm.h.

## ◆ arrow_fill

PLINT PLStream::arrow_fill

Definition at line 559 of file plstrm.h.

## ◆ arrow_npts

PLINT PLStream::arrow_npts

Definition at line 558 of file plstrm.h.

## ◆ arrow_x

PLFLT* PLStream::arrow_x

Definition at line 556 of file plstrm.h.

## ◆ arrow_y

PLFLT* PLStream::arrow_y

Definition at line 557 of file plstrm.h.

## ◆ aspdev

PLFLT PLStream::aspdev

Definition at line 659 of file plstrm.h.

## ◆ aspect

PLFLT PLStream::aspect

Definition at line 659 of file plstrm.h.

## ◆ aspori

PLFLT PLStream::aspori

Definition at line 659 of file plstrm.h.

## ◆ auto_path

char* PLStream::auto_path

Definition at line 641 of file plstrm.h.

## ◆ base3x

PLFLT PLStream::base3x

Definition at line 711 of file plstrm.h.

## ◆ base3y

PLFLT PLStream::base3y

Definition at line 711 of file plstrm.h.

## ◆ basecx

PLFLT PLStream::basecx

Definition at line 711 of file plstrm.h.

## ◆ basecy

PLFLT PLStream::basecy

Definition at line 711 of file plstrm.h.

## ◆ BaseName

char* PLStream::BaseName

Definition at line 576 of file plstrm.h.

## ◆ bop_data

void* PLStream::bop_data

Definition at line 611 of file plstrm.h.

## ◆ bop_handler

void( * PLStream::bop_handler) (void *bop_data, int *skip_driver_bop)

Definition at line 610 of file plstrm.h.

## ◆ boxbb_xmax

PLFLT PLStream::boxbb_xmax

Definition at line 798 of file plstrm.h.

## ◆ boxbb_xmin

PLFLT PLStream::boxbb_xmin

Definition at line 798 of file plstrm.h.

## ◆ boxbb_ymax

PLFLT PLStream::boxbb_ymax

Definition at line 798 of file plstrm.h.

## ◆ boxbb_ymin

PLFLT PLStream::boxbb_ymin

Definition at line 798 of file plstrm.h.

## ◆ bufmax

int PLStream::bufmax

Definition at line 643 of file plstrm.h.

## ◆ ButtonEH

void( * PLStream::ButtonEH) (PLGraphicsIn *gin, void *ButtonEH_data, int *exit_eventloop)

Definition at line 602 of file plstrm.h.

## ◆ ButtonEH_data

void* PLStream::ButtonEH_data

Definition at line 604 of file plstrm.h.

## ◆ bytecnt

PLINT PLStream::bytecnt

Definition at line 578 of file plstrm.h.

## ◆ bytemax

PLINT PLStream::bytemax

Definition at line 570 of file plstrm.h.

## ◆ caspfactor

PLFLT PLStream::caspfactor

Definition at line 659 of file plstrm.h.

## ◆ cfont

PLINT PLStream::cfont

Definition at line 737 of file plstrm.h.

## ◆ chrdef

PLFLT PLStream::chrdef

Definition at line 686 of file plstrm.h.

## ◆ chrht

PLFLT PLStream::chrht

Definition at line 686 of file plstrm.h.

## ◆ clpxma

PLINT PLStream::clpxma

Definition at line 704 of file plstrm.h.

## ◆ clpxmi

PLINT PLStream::clpxmi

Definition at line 704 of file plstrm.h.

## ◆ clpyma

PLINT PLStream::clpyma

Definition at line 704 of file plstrm.h.

## ◆ clpymi

PLINT PLStream::clpymi

Definition at line 704 of file plstrm.h.

## ◆ cmap0

PLColor* PLStream::cmap0

Definition at line 544 of file plstrm.h.

## ◆ cmap1

PLColor* PLStream::cmap1

Definition at line 545 of file plstrm.h.

## ◆ cmap1_max

PLFLT PLStream::cmap1_max

Definition at line 541 of file plstrm.h.

## ◆ cmap1_min

PLFLT PLStream::cmap1_min

Definition at line 541 of file plstrm.h.

## ◆ cmap1cp

PLControlPt PLStream::cmap1cp[PL_MAX_CMAP1CP]

Definition at line 547 of file plstrm.h.

## ◆ cmap1cp_is_rgb

PLBOOL PLStream::cmap1cp_is_rgb

Definition at line 548 of file plstrm.h.

## ◆ color

PLINT PLStream::color

Definition at line 569 of file plstrm.h.

## ◆ colorset

PLINT PLStream::colorset

Definition at line 569 of file plstrm.h.

## ◆ coordinate_transform

PLTRANSFORM_callback PLStream::coordinate_transform

Definition at line 534 of file plstrm.h.

## ◆ coordinate_transform_data

PLPointer PLStream::coordinate_transform_data

Definition at line 535 of file plstrm.h.

## ◆ curcmap

PLINT PLStream::curcmap

Definition at line 539 of file plstrm.h.

## ◆ curcolor

PLColor PLStream::curcolor

Definition at line 543 of file plstrm.h.

## ◆ curel

PLINT PLStream::curel

Definition at line 677 of file plstrm.h.

## ◆ currx

PLINT PLStream::currx

Definition at line 673 of file plstrm.h.

## ◆ curry

PLINT PLStream::curry

Definition at line 673 of file plstrm.h.

## ◆ cursub

PLINT PLStream::cursub

Definition at line 723 of file plstrm.h.

## ◆ cxx

PLFLT PLStream::cxx

Definition at line 714 of file plstrm.h.

## ◆ cxy

PLFLT PLStream::cxy

Definition at line 714 of file plstrm.h.

## ◆ cyx

PLFLT PLStream::cyx

Definition at line 714 of file plstrm.h.

## ◆ cyy

PLFLT PLStream::cyy

Definition at line 714 of file plstrm.h.

## ◆ cyz

PLFLT PLStream::cyz

Definition at line 714 of file plstrm.h.

## ◆ czx

PLFLT PLStream::czx

Definition at line 714 of file plstrm.h.

## ◆ czy

PLFLT PLStream::czy

Definition at line 714 of file plstrm.h.

## ◆ czz

PLFLT PLStream::czz

Definition at line 714 of file plstrm.h.

## ◆ db

int PLStream::db

Definition at line 635 of file plstrm.h.

## ◆ debug

PLINT PLStream::debug

Definition at line 527 of file plstrm.h.

## ◆ delta

PLINT PLStream::delta[2]

Definition at line 669 of file plstrm.h.

## ◆ dev

void* PLStream::dev

Definition at line 594 of file plstrm.h.

## ◆ dev_arc

PLINT PLStream::dev_arc

Definition at line 572 of file plstrm.h.

## ◆ dev_clear

PLINT PLStream::dev_clear

Definition at line 572 of file plstrm.h.

## ◆ dev_compression

PLINT PLStream::dev_compression

Definition at line 736 of file plstrm.h.

## ◆ dev_dash

PLINT PLStream::dev_dash

Definition at line 571 of file plstrm.h.

## ◆ dev_data

void* PLStream::dev_data

Definition at line 596 of file plstrm.h.

## ◆ dev_di

PLINT PLStream::dev_di

Definition at line 571 of file plstrm.h.

## ◆ dev_eofill

PLINT PLStream::dev_eofill

Definition at line 788 of file plstrm.h.

## ◆ dev_fastimg

PLINT PLStream::dev_fastimg

Definition at line 572 of file plstrm.h.

## ◆ dev_fill0

PLINT PLStream::dev_fill0

Definition at line 571 of file plstrm.h.

## ◆ dev_fill1

PLINT PLStream::dev_fill1

Definition at line 571 of file plstrm.h.

## ◆ dev_flush

PLINT PLStream::dev_flush

Definition at line 571 of file plstrm.h.

## ◆ dev_gradient

PLINT PLStream::dev_gradient

Definition at line 773 of file plstrm.h.

## ◆ dev_hrshsym

PLINT PLStream::dev_hrshsym

Definition at line 753 of file plstrm.h.

## ◆ dev_initialized

PLINT PLStream::dev_initialized

Definition at line 527 of file plstrm.h.

## ◆ dev_ix

short* PLStream::dev_ix

Definition at line 587 of file plstrm.h.

## ◆ dev_iy

short * PLStream::dev_iy

Definition at line 587 of file plstrm.h.

## ◆ dev_mem_alpha

PLINT PLStream::dev_mem_alpha

Definition at line 784 of file plstrm.h.

## ◆ dev_minor

PLINT PLStream::dev_minor

Definition at line 568 of file plstrm.h.

## ◆ dev_modeset

PLINT PLStream::dev_modeset

Definition at line 791 of file plstrm.h.

## ◆ dev_npts

PLINT PLStream::dev_npts

Definition at line 581 of file plstrm.h.

## ◆ dev_nptsX

PLINT PLStream::dev_nptsX

Definition at line 586 of file plstrm.h.

## ◆ dev_nptsY

PLINT PLStream::dev_nptsY

Definition at line 586 of file plstrm.h.

## ◆ dev_swin

PLINT PLStream::dev_swin

Definition at line 571 of file plstrm.h.

## ◆ dev_text

PLINT PLStream::dev_text

Definition at line 572 of file plstrm.h.

## ◆ dev_unicode

PLINT PLStream::dev_unicode

Definition at line 747 of file plstrm.h.

## ◆ dev_x

short* PLStream::dev_x

Definition at line 582 of file plstrm.h.

## ◆ dev_xor

PLINT PLStream::dev_xor

Definition at line 572 of file plstrm.h.

## ◆ dev_y

short * PLStream::dev_y

Definition at line 582 of file plstrm.h.

## ◆ dev_z

unsigned short* PLStream::dev_z

Definition at line 588 of file plstrm.h.

## ◆ dev_zmax

unsigned short PLStream::dev_zmax

Definition at line 589 of file plstrm.h.

## ◆ dev_zmin

unsigned short PLStream::dev_zmin

Definition at line 589 of file plstrm.h.

## ◆ device

PLINT PLStream::device

Definition at line 568 of file plstrm.h.

## ◆ DevName

char PLStream::DevName[80]

Definition at line 574 of file plstrm.h.

## ◆ diclpxma

PLINT PLStream::diclpxma

Definition at line 656 of file plstrm.h.

## ◆ diclpxmi

PLINT PLStream::diclpxmi

Definition at line 656 of file plstrm.h.

## ◆ diclpyma

PLINT PLStream::diclpyma

Definition at line 656 of file plstrm.h.

## ◆ diclpymi

PLINT PLStream::diclpymi

Definition at line 656 of file plstrm.h.

## ◆ didxax

PLFLT PLStream::didxax

Definition at line 660 of file plstrm.h.

## ◆ didxb

PLFLT PLStream::didxb

Definition at line 660 of file plstrm.h.

## ◆ didyay

PLFLT PLStream::didyay

Definition at line 660 of file plstrm.h.

## ◆ didyb

PLFLT PLStream::didyb

Definition at line 660 of file plstrm.h.

## ◆ difilt

PLINT PLStream::difilt

Definition at line 656 of file plstrm.h.

## ◆ dimxax

PLFLT PLStream::dimxax

Definition at line 663 of file plstrm.h.

## ◆ dimxb

PLFLT PLStream::dimxb

Definition at line 663 of file plstrm.h.

## ◆ dimxmax

PLFLT PLStream::dimxmax

Definition at line 664 of file plstrm.h.

## ◆ dimxmin

PLFLT PLStream::dimxmin

Definition at line 664 of file plstrm.h.

## ◆ dimxpmm

PLFLT PLStream::dimxpmm

Definition at line 664 of file plstrm.h.

## ◆ dimyay

PLFLT PLStream::dimyay

Definition at line 663 of file plstrm.h.

## ◆ dimyb

PLFLT PLStream::dimyb

Definition at line 663 of file plstrm.h.

## ◆ dimymax

PLFLT PLStream::dimymax

Definition at line 664 of file plstrm.h.

## ◆ dimymin

PLFLT PLStream::dimymin

Definition at line 664 of file plstrm.h.

## ◆ dimypmm

PLFLT PLStream::dimypmm

Definition at line 664 of file plstrm.h.

## ◆ diorot

PLFLT PLStream::diorot

Definition at line 661 of file plstrm.h.

## ◆ dioxax

PLFLT PLStream::dioxax

Definition at line 662 of file plstrm.h.

## ◆ dioxay

PLFLT PLStream::dioxay

Definition at line 662 of file plstrm.h.

## ◆ dioxb

PLFLT PLStream::dioxb

Definition at line 662 of file plstrm.h.

## ◆ dioyax

PLFLT PLStream::dioyax

Definition at line 662 of file plstrm.h.

## ◆ dioyay

PLFLT PLStream::dioyay

Definition at line 662 of file plstrm.h.

## ◆ dioyb

PLFLT PLStream::dioyb

Definition at line 662 of file plstrm.h.

## ◆ dipxax

PLFLT PLStream::dipxax

Definition at line 658 of file plstrm.h.

## ◆ dipxb

PLFLT PLStream::dipxb

Definition at line 658 of file plstrm.h.

## ◆ dipxmax

PLFLT PLStream::dipxmax

Definition at line 657 of file plstrm.h.

## ◆ dipxmin

PLFLT PLStream::dipxmin

Definition at line 657 of file plstrm.h.

## ◆ dipyay

PLFLT PLStream::dipyay

Definition at line 658 of file plstrm.h.

## ◆ dipyb

PLFLT PLStream::dipyb

Definition at line 658 of file plstrm.h.

## ◆ dipymax

PLFLT PLStream::dipymax

Definition at line 657 of file plstrm.h.

## ◆ dipymin

PLFLT PLStream::dipymin

Definition at line 657 of file plstrm.h.

## ◆ dispatch_table

PLDispatchTable* PLStream::dispatch_table

Definition at line 563 of file plstrm.h.

## ◆ domxma

PLFLT PLStream::domxma

Definition at line 712 of file plstrm.h.

## ◆ domxmi

PLFLT PLStream::domxmi

Definition at line 712 of file plstrm.h.

## ◆ domyma

PLFLT PLStream::domyma

Definition at line 712 of file plstrm.h.

## ◆ domymi

PLFLT PLStream::domymi

Definition at line 712 of file plstrm.h.

## ◆ dp

int PLStream::dp

Definition at line 643 of file plstrm.h.

## ◆ eop_data

void* PLStream::eop_data

Definition at line 614 of file plstrm.h.

## ◆ eop_handler

void( * PLStream::eop_handler) (void *eop_data, int *skip_driver_eop)

Definition at line 613 of file plstrm.h.

## ◆ errcode

PLINT* PLStream::errcode

Definition at line 628 of file plstrm.h.

## ◆ errmsg

char* PLStream::errmsg

Definition at line 629 of file plstrm.h.

## ◆ esc

char PLStream::esc

Definition at line 681 of file plstrm.h.

## ◆ ext_resize_draw

int PLStream::ext_resize_draw

Definition at line 635 of file plstrm.h.

## ◆ famadv

PLINT PLStream::famadv

Definition at line 570 of file plstrm.h.

## ◆ family

PLINT PLStream::family

Definition at line 570 of file plstrm.h.

## ◆ fci

PLUNICODE PLStream::fci

Definition at line 751 of file plstrm.h.

## ◆ fflen

PLINT PLStream::fflen

Definition at line 570 of file plstrm.h.

## ◆ FileName

char * PLStream::FileName

Definition at line 576 of file plstrm.h.

## ◆ finc

PLINT PLStream::finc

Definition at line 570 of file plstrm.h.

## ◆ freeaspect

PLINT PLStream::freeaspect

Definition at line 665 of file plstrm.h.

## ◆ FT

void* PLStream::FT

Definition at line 739 of file plstrm.h.

## ◆ geometry

char* PLStream::geometry

Definition at line 633 of file plstrm.h.

## ◆ get_string_length

PLINT PLStream::get_string_length

Definition at line 787 of file plstrm.h.

## ◆ graphx

PLINT PLStream::graphx

Definition at line 568 of file plstrm.h.

## ◆ hack

PLINT PLStream::hack

Definition at line 619 of file plstrm.h.

## ◆ has_string_length

PLINT PLStream::has_string_length

Definition at line 785 of file plstrm.h.

## ◆ icol0

PLINT PLStream::icol0

Definition at line 539 of file plstrm.h.

## ◆ icol1

PLINT PLStream::icol1

Definition at line 539 of file plstrm.h.

## ◆ if_boxbb

PLBOOL PLStream::if_boxbb

Definition at line 794 of file plstrm.h.

## ◆ imclxmax

PLINT PLStream::imclxmax

Definition at line 590 of file plstrm.h.

## ◆ imclxmin

PLINT PLStream::imclxmin

Definition at line 590 of file plstrm.h.

## ◆ imclymax

PLINT PLStream::imclymax

Definition at line 590 of file plstrm.h.

## ◆ imclymin

PLINT PLStream::imclymin

Definition at line 590 of file plstrm.h.

## ◆ inclin

PLINT PLStream::inclin[2]

Definition at line 669 of file plstrm.h.

## ◆ initialized

PLINT PLStream::initialized

Definition at line 527 of file plstrm.h.

## ◆ ipls

PLINT PLStream::ipls

Definition at line 527 of file plstrm.h.

## ◆ jx

PLFLT PLStream::jx

Definition at line 659 of file plstrm.h.

## ◆ jy

PLFLT PLStream::jy

Definition at line 659 of file plstrm.h.

## ◆ KeyEH

void( * PLStream::KeyEH) (PLGraphicsIn *gin, void *KeyEH_data, int *exit_eventloop)

Definition at line 598 of file plstrm.h.

## ◆ KeyEH_data

void* PLStream::KeyEH_data

Definition at line 600 of file plstrm.h.

## ◆ label_data

PLPointer PLStream::label_data

Definition at line 698 of file plstrm.h.

## ◆ label_func

PLLABEL_FUNC_callback PLStream::label_func

Definition at line 697 of file plstrm.h.

## ◆ level

PLINT PLStream::level

Definition at line 527 of file plstrm.h.

## ◆ line_style

PLINT PLStream::line_style

Definition at line 783 of file plstrm.h.

## ◆ linepos

PLINT PLStream::linepos

Definition at line 578 of file plstrm.h.

## ◆ LocateEH

void( * PLStream::LocateEH) (PLGraphicsIn *gin, void *LocateEH_data, int *locate_mode)

Definition at line 606 of file plstrm.h.

## ◆ LocateEH_data

void* PLStream::LocateEH_data

Definition at line 608 of file plstrm.h.

## ◆ majdef

PLFLT PLStream::majdef

Definition at line 688 of file plstrm.h.

## ◆ majht

PLFLT PLStream::majht

Definition at line 688 of file plstrm.h.

## ◆ mar

PLFLT PLStream::mar

Definition at line 659 of file plstrm.h.

## ◆ mark

PLINT PLStream::mark[10]

Definition at line 676 of file plstrm.h.

## ◆ member

PLINT PLStream::member

Definition at line 570 of file plstrm.h.

## ◆ mf_infile

char* PLStream::mf_infile

Definition at line 802 of file plstrm.h.

## ◆ mf_outfile

char* PLStream::mf_outfile

Definition at line 803 of file plstrm.h.

## ◆ mindef

PLFLT PLStream::mindef

Definition at line 689 of file plstrm.h.

## ◆ minht

PLFLT PLStream::minht

Definition at line 689 of file plstrm.h.

## ◆ n_polygon

PLINT PLStream::n_polygon

Definition at line 778 of file plstrm.h.

## ◆ ncol0

PLINT PLStream::ncol0

Definition at line 539 of file plstrm.h.

## ◆ ncol1

PLINT PLStream::ncol1

Definition at line 539 of file plstrm.h.

## ◆ ncp1

PLINT PLStream::ncp1

Definition at line 539 of file plstrm.h.

## ◆ ngradient

PLINT PLStream::ngradient

Definition at line 774 of file plstrm.h.

## ◆ nms

PLINT PLStream::nms

Definition at line 676 of file plstrm.h.

## ◆ nopause

PLINT PLStream::nopause

Definition at line 568 of file plstrm.h.

## ◆ nopixmap

int PLStream::nopixmap

Definition at line 635 of file plstrm.h.

## ◆ nplwin

int PLStream::nplwin

Definition at line 718 of file plstrm.h.

## ◆ nps

PLINT PLStream::nps

Definition at line 669 of file plstrm.h.

## ◆ nsubx

PLINT PLStream::nsubx

Definition at line 723 of file plstrm.h.

## ◆ nsuby

PLINT PLStream::nsuby

Definition at line 723 of file plstrm.h.

## ◆ original_chrdef

PLFLT PLStream::original_chrdef

Definition at line 759 of file plstrm.h.

## ◆ original_chrht

PLFLT PLStream::original_chrht

Definition at line 759 of file plstrm.h.

## ◆ OutFile

FILE* PLStream::OutFile

Definition at line 575 of file plstrm.h.

## ◆ output_type

int PLStream::output_type

Definition at line 577 of file plstrm.h.

## ◆ page

PLINT PLStream::page

Definition at line 578 of file plstrm.h.

## ◆ page_status

PLINT PLStream::page_status

Definition at line 665 of file plstrm.h.

## ◆ patt

PLINT PLStream::patt

Definition at line 669 of file plstrm.h.

## ◆ pdfs

PDFstrm* PLStream::pdfs

Definition at line 579 of file plstrm.h.

## ◆ pendn

PLINT PLStream::pendn

Definition at line 677 of file plstrm.h.

## ◆ phyxlen

PLINT PLStream::phyxlen

Definition at line 705 of file plstrm.h.

## ◆ phyxma

PLINT PLStream::phyxma

Definition at line 705 of file plstrm.h.

## ◆ phyxmi

PLINT PLStream::phyxmi

Definition at line 705 of file plstrm.h.

## ◆ phyylen

PLINT PLStream::phyylen

Definition at line 705 of file plstrm.h.

## ◆ phyyma

PLINT PLStream::phyyma

Definition at line 705 of file plstrm.h.

## ◆ phyymi

PLINT PLStream::phyymi

Definition at line 705 of file plstrm.h.

## ◆ plbuf_buffer

void* PLStream::plbuf_buffer

Definition at line 649 of file plstrm.h.

## ◆ plbuf_buffer_grow

size_t PLStream::plbuf_buffer_grow

Definition at line 647 of file plstrm.h.

## ◆ plbuf_buffer_size

size_t PLStream::plbuf_buffer_size

Definition at line 648 of file plstrm.h.

## ◆ plbuf_read

PLINT PLStream::plbuf_read

Definition at line 567 of file plstrm.h.

## ◆ plbuf_readpos

size_t PLStream::plbuf_readpos

Definition at line 651 of file plstrm.h.

## ◆ plbuf_top

size_t PLStream::plbuf_top

Definition at line 650 of file plstrm.h.

## ◆ plbuf_write

PLINT PLStream::plbuf_write

Definition at line 567 of file plstrm.h.

## ◆ plbufOwner

int PLStream::plbufOwner

Definition at line 652 of file plstrm.h.

## ◆ plPlotterPtr

struct PlPlotter* PLStream::plPlotterPtr

Definition at line 742 of file plstrm.h.

## ◆ plserver

char* PLStream::plserver

Definition at line 640 of file plstrm.h.

## ◆ plwin

PLWindow PLStream::plwin[PL_MAXWINDOWS]

Definition at line 719 of file plstrm.h.

## ◆ plwindow

char * PLStream::plwindow

Definition at line 640 of file plstrm.h.

## ◆ portrait

PLINT PLStream::portrait

Definition at line 665 of file plstrm.h.

## ◆ precis

PLINT PLStream::precis

Definition at line 693 of file plstrm.h.

## ◆ program

char* PLStream::program

Definition at line 530 of file plstrm.h.

## ◆ psdoc

void* PLStream::psdoc

Definition at line 764 of file plstrm.h.

## ◆ qsasconfig

QSASConfig* PLStream::qsasconfig

Definition at line 770 of file plstrm.h.

## ◆ ranma

PLFLT PLStream::ranma

Definition at line 713 of file plstrm.h.

## ◆ ranmi

PLFLT PLStream::ranmi

Definition at line 713 of file plstrm.h.

## ◆ scale

PLFLT PLStream::scale

Definition at line 685 of file plstrm.h.

## ◆ server_host

char * PLStream::server_host

Definition at line 639 of file plstrm.h.

## ◆ server_name

char* PLStream::server_name

Definition at line 639 of file plstrm.h.

## ◆ server_nokill

int PLStream::server_nokill

Definition at line 643 of file plstrm.h.

## ◆ server_port

char * PLStream::server_port

Definition at line 639 of file plstrm.h.

## ◆ setpre

PLINT PLStream::setpre

Definition at line 693 of file plstrm.h.

## ◆ space

PLINT PLStream::space[10]

Definition at line 676 of file plstrm.h.

## ◆ spdxma

PLFLT PLStream::spdxma

Definition at line 724 of file plstrm.h.

## ◆ spdxmi

PLFLT PLStream::spdxmi

Definition at line 724 of file plstrm.h.

## ◆ spdyma

PLFLT PLStream::spdyma

Definition at line 724 of file plstrm.h.

## ◆ spdymi

PLFLT PLStream::spdymi

Definition at line 724 of file plstrm.h.

## ◆ sppxma

PLINT PLStream::sppxma

Definition at line 703 of file plstrm.h.

## ◆ sppxmi

PLINT PLStream::sppxmi

Definition at line 703 of file plstrm.h.

## ◆ sppyma

PLINT PLStream::sppyma

Definition at line 703 of file plstrm.h.

## ◆ sppymi

PLINT PLStream::sppymi

Definition at line 703 of file plstrm.h.

## ◆ stream_closed

PLBOOL PLStream::stream_closed

Definition at line 782 of file plstrm.h.

## ◆ string_length

PLFLT PLStream::string_length

Definition at line 786 of file plstrm.h.

## ◆ symdef

PLFLT PLStream::symdef

Definition at line 687 of file plstrm.h.

## ◆ symht

PLFLT PLStream::symht

Definition at line 687 of file plstrm.h.

## ◆ termin

PLINT PLStream::termin

Definition at line 568 of file plstrm.h.

## ◆ tidy

void( * PLStream::tidy) (void *)

Definition at line 623 of file plstrm.h.

## ◆ tidy_data

void* PLStream::tidy_data

Definition at line 624 of file plstrm.h.

## ◆ timecnt

PLINT PLStream::timecnt

Definition at line 677 of file plstrm.h.

## ◆ timefmt

char* PLStream::timefmt

Definition at line 696 of file plstrm.h.

## ◆ tk_file

char* PLStream::tk_file

Definition at line 642 of file plstrm.h.

## ◆ tmpcolor

PLColor PLStream::tmpcolor

Definition at line 543 of file plstrm.h.

## ◆ umx

PLINT PLStream::umx

Definition at line 706 of file plstrm.h.

## ◆ umy

PLINT PLStream::umy

Definition at line 706 of file plstrm.h.

## ◆ user

char * PLStream::user

Definition at line 639 of file plstrm.h.

## ◆ verbose

PLINT PLStream::verbose

Definition at line 527 of file plstrm.h.

## ◆ vpdxma

PLFLT PLStream::vpdxma

Definition at line 725 of file plstrm.h.

## ◆ vpdxmi

PLFLT PLStream::vpdxmi

Definition at line 725 of file plstrm.h.

## ◆ vpdyma

PLFLT PLStream::vpdyma

Definition at line 725 of file plstrm.h.

## ◆ vpdymi

PLFLT PLStream::vpdymi

Definition at line 725 of file plstrm.h.

## ◆ vppxma

PLINT PLStream::vppxma

Definition at line 702 of file plstrm.h.

## ◆ vppxmi

PLINT PLStream::vppxmi

Definition at line 702 of file plstrm.h.

## ◆ vppyma

PLINT PLStream::vppyma

Definition at line 702 of file plstrm.h.

## ◆ vppymi

PLINT PLStream::vppymi

Definition at line 702 of file plstrm.h.

## ◆ vpwxma

PLFLT PLStream::vpwxma

Definition at line 726 of file plstrm.h.

## ◆ vpwxmi

PLFLT PLStream::vpwxmi

Definition at line 726 of file plstrm.h.

## ◆ vpwyma

PLFLT PLStream::vpwyma

Definition at line 726 of file plstrm.h.

## ◆ vpwymi

PLFLT PLStream::vpwymi

Definition at line 726 of file plstrm.h.

## ◆ wdxoff

PLFLT PLStream::wdxoff

Definition at line 732 of file plstrm.h.

## ◆ wdxscl

PLFLT PLStream::wdxscl

Definition at line 732 of file plstrm.h.

## ◆ wdyoff

PLFLT PLStream::wdyoff

Definition at line 732 of file plstrm.h.

## ◆ wdyscl

PLFLT PLStream::wdyscl

Definition at line 732 of file plstrm.h.

## ◆ width

PLFLT PLStream::width

Definition at line 552 of file plstrm.h.

## ◆ widthlock

PLINT PLStream::widthlock

Definition at line 553 of file plstrm.h.

## ◆ widthset

PLINT PLStream::widthset

Definition at line 553 of file plstrm.h.

## ◆ window_id

long PLStream::window_id

Definition at line 634 of file plstrm.h.

## ◆ wmxoff

PLFLT PLStream::wmxoff

Definition at line 731 of file plstrm.h.

## ◆ wmxscl

PLFLT PLStream::wmxscl

Definition at line 731 of file plstrm.h.

## ◆ wmyoff

PLFLT PLStream::wmyoff

Definition at line 731 of file plstrm.h.

## ◆ wmyscl

PLFLT PLStream::wmyscl

Definition at line 731 of file plstrm.h.

## ◆ wpxoff

PLFLT PLStream::wpxoff

Definition at line 730 of file plstrm.h.

## ◆ wpxscl

PLFLT PLStream::wpxscl

Definition at line 730 of file plstrm.h.

## ◆ wpyoff

PLFLT PLStream::wpyoff

Definition at line 730 of file plstrm.h.

## ◆ wpyscl

PLFLT PLStream::wpyscl

Definition at line 730 of file plstrm.h.

## ◆ x_polygon

const PLFLT* PLStream::x_polygon

Definition at line 779 of file plstrm.h.

## ◆ xdigits

PLINT PLStream::xdigits

Definition at line 695 of file plstrm.h.

## ◆ xdigmax

PLINT PLStream::xdigmax

Definition at line 694 of file plstrm.h.

## ◆ xdpi

PLFLT PLStream::xdpi

Definition at line 616 of file plstrm.h.

## ◆ xgradient

PLINT* PLStream::xgradient

Definition at line 775 of file plstrm.h.

## ◆ xlength

PLINT PLStream::xlength

Definition at line 617 of file plstrm.h.

## ◆ xoffset

PLINT PLStream::xoffset

Definition at line 618 of file plstrm.h.

## ◆ xpmm

PLFLT PLStream::xpmm

Definition at line 707 of file plstrm.h.

## ◆ y_polygon

const PLFLT * PLStream::y_polygon

Definition at line 779 of file plstrm.h.

## ◆ ydigits

PLINT PLStream::ydigits

Definition at line 695 of file plstrm.h.

## ◆ ydigmax

PLINT PLStream::ydigmax

Definition at line 694 of file plstrm.h.

## ◆ ydpi

PLFLT PLStream::ydpi

Definition at line 616 of file plstrm.h.

## ◆ ygradient

PLINT * PLStream::ygradient

Definition at line 775 of file plstrm.h.

## ◆ ylength

PLINT PLStream::ylength

Definition at line 617 of file plstrm.h.

## ◆ yoffset

PLINT PLStream::yoffset

Definition at line 618 of file plstrm.h.

## ◆ ypmm

PLFLT PLStream::ypmm

Definition at line 707 of file plstrm.h.

## ◆ zdigits

PLINT PLStream::zdigits

Definition at line 695 of file plstrm.h.

## ◆ zdigmax

PLINT PLStream::zdigmax

Definition at line 694 of file plstrm.h.

## ◆ zzscl

PLFLT PLStream::zzscl

Definition at line 713 of file plstrm.h.

The documentation for this struct was generated from the following file:

- plstrm.h